Moving forward: Proloquo2Go 5 will be iOS 10 only

A new year always brings change. From new friendships to new opportunities, a new year carries anticipation, excitement, hope … and apprehension. Yes, change can be scary at first, but often the greatest changes open the door for growth and possibilities.
 
Progressing through iOS versions

A new year, a new version of Proloquo2Go, a new version of iOS

Every once in a while we face a tough decision. Should the next version of Proloquo2Go continue to support older iOS versions? Or, can we focus on the most recent iOS version? On the one hand, supporting multiple iOS versions increases the workload of our development and quality assurance teams by 30 to 50%. On the other hand, dropping support for an older iOS version means that people using older devices will not be able to use the new Proloquo2Go version.

Significant efforts

Apple is no longer able to support iPad 2, iPad 3 and the first generation iPad mini with iOS 10. This means that by making Proloquo2Go 5 iOS 10 only, it will no longer work on these devices. These are really old devices, originally released in 2011 and 2012. Yet we know there are quite a few Proloquo2Go users who still rely on these iPads. After all, the iPad 2 continued to be sold until March 2014 and the first generation iPad mini until June 2015.
 
Dropping support for older devices is not something we take lightly. In 2015, we spent months of extra work on Proloquo2Go 4 for it to run reasonably smoothly on these old devices. As much as we would have wanted Proloquo2Go 5 to run on iOS 9 and older devices, we have come to the conclusion that the required efforts outweigh the benefits.

Reasons

First, Proloquo2Go 4.4 is an extremely solid release that serves users of older devices well. Next, Proloquo2Go 5 offers new features that require faster hardware found in newer devices. Finally, already 50% of Proloquo2Go 4.4 users run iOS 10. This is just two months after iOS 10 came out. So, by focusing on iOS 10, we can significantly reduce our development and quality assurance efforts. Instead of spending months of work on compatibility with an old iOS version and old devices, we can add more new, exciting features and deliver them sooner. While a tough call, we believe this will make a difference for users in the end.

Early heads-up

Because we know that not everyone has the means to go out and buy a new iPad, we want to give you an early heads-up. With Black Friday, Cyber Monday and Christmas coming up, you might be able to pick up a sweet deal. If not, version 4.4 is an excellent AAC app with great support for English, Spanish and French. On any device that supports iOS 9, you will continue to be able to download version 4.4, even after version 5 is released sometime next year.
 
Change is in the air, so keep an eye on AssistiveWare as we continue to deliver new features that serve AAC users across the globe!
 
~ David Niemeijer and Joe Barnick
 
David Niemeijer is the founder and CEO of AssistiveWare and has been active in the Assistive Technology field since 1996. Joe Barnick is a member of AssistiveWare’s Support Team and has been involved with AssistiveWare for many years.

Share this page

      

Comments on
"Moving forward: Proloquo2Go 5 will be iOS 10 only"

Gadfly25's picture

Will we still be able to program new info, buttons etc. on the older version? And share through Dropbox?

Pam's picture

Hi Patty,
Absolutely. How you use the app now will not change.

sjborg's picture

Will Assistiveware continue to support the older versions of P2G? Also, will there be a "search" feature in the new version so that clients can search for their vocabulary if they don't know where to find it?

Pam's picture

Hello Sabrina,

Yes. AssistiveWare will continue to support older versions.
Yes, the next update is still under development and as soon as we can confirm the features that will be included, we will announce it. If you sign up for our newsletter, you will be among the first to know. Here is the link to sign up: http://www.assistiveware.com/newsletter.

Kindly,
Pam
AssistiveWare Support

Tracy Blayney's picture

Hi Pam,

Sorry, am a little confused. My son has a 4th generation iPad. Will this work with the new update or do we need a new iPad?
Cheers,
Tracy

anne's picture

Hi Tracy,

As far as I know iOS 10 runs on a 4th generation iPad, so you will be able to update to Proloquo2Go 5 without any problems.

You can check which version of iOS you are currently running by going to your device's "Settings" app. Now tap on "General" > "About". Check at "Version" what version of iOS you are running. If that's not already iOS 10, you can also update your software here.

Before you update your iOS, I recommend you to make a backup of your son's customized vocabulary. This is also important to have before updating your Proloquo2Go in the future. Updating should go without any problems. However, you can never be too sure about these things!

There are three methods to make backups: Dropbox (recommended), iTunes File Sharing and WiFi. You can find the PDF tutorials for each method in this FAQ: http://www.assistiveware.com/support/faq/page/475

Best wishes,

Anne

Please login to send your comment

Log in with